API Reference
Purchase Invoices
6 endpoints· Auth: JWT or API Key
get
/api/v1/console/purchase-invoices JWT API KeyGet purchase-invoices
Query parameters
| SupplierId string (uuid) | — |
| Status string | — |
| MatchStatus string | — |
| Page integer (int32) | — |
| PerPage integer (int32) | — |
| Search string | — |
| Skip integer (int32) | — |
| Sort string | — |
| Dir string | — |
Responses
200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/purchase-invoices" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Query parameters
Set credentials in the “Authorize” menu
post
/api/v1/console/purchase-invoices JWT API KeyCreate purchase-invoices
Request body
application/json
{
"supplierId": "00000000-0000-0000-0000-000000000000",
"purchaseOrderId": "00000000-0000-0000-0000-000000000000",
"paymentType": "string",
"paidAmount": 0,
"stockLocationId": "00000000-0000-0000-0000-000000000000",
"lines": [
{
"inventoryItemId": "00000000-0000-0000-0000-000000000000",
"quantity": 0,
"unitCost": 0,
"lotNumber": "string",
"expiryDate": "2026-09-30",
"purchaseOrderItemId": "00000000-0000-0000-0000-000000000000"
}
]
}| supplierId string (uuid) | — |
| purchaseOrderId string (uuid) | — |
| paymentType string | — |
| paidAmount integer (int64) | — |
| stockLocationId string (uuid) | — |
| lines ReceiveLineRequest[] | — |
Responses
200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/purchase-invoices" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"supplierId": "00000000-0000-0000-0000-000000000000",
"purchaseOrderId": "00000000-0000-0000-0000-000000000000",
"paymentType": "string",
"paidAmount": 0,
"stockLocationId": "00000000-0000-0000-0000-000000000000",
"lines": [
{
"inventoryItemId": "00000000-0000-0000-0000-000000000000",
"quantity": 0,
"unitCost": 0,
"lotNumber": "string",
"expiryDate": "2026-09-30",
"purchaseOrderItemId": "00000000-0000-0000-0000-000000000000"
}
]
}' Try itagainst staging · https://staging-api.panoptesos.com
Request body (JSON)
Set credentials in the “Authorize” menu
get
/api/v1/console/purchase-invoices/{id} JWT API KeyGet id
Path parameters
| idrequired string (uuid) | — |
Query parameters
| Sort string | — |
| Dir string | — |
Responses
200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/purchase-invoices/{id}" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Query parameters
Set credentials in the “Authorize” menu
get
/api/v1/console/supplier-returns JWT API KeyGet supplier-returns
Query parameters
| Page integer (int32) | — |
| PerPage integer (int32) | — |
| Search string | — |
| Skip integer (int32) | — |
| Sort string | — |
| Dir string | — |
Responses
200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/supplier-returns" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Query parameters
Set credentials in the “Authorize” menu
post
/api/v1/console/supplier-returns JWT API KeyCreate supplier-returns
Request body
application/json
{
"purchaseInvoiceId": "00000000-0000-0000-0000-000000000000",
"businessDate": "2026-09-30",
"reason": "string",
"lines": [
{
"purchaseInvoiceItemId": "00000000-0000-0000-0000-000000000000",
"quantity": 0
}
]
}| purchaseInvoiceId string (uuid) | — |
| businessDate string (date) | — |
| reason string | — |
| lines SupplierReturnLineRequest[] | — |
Responses
200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/supplier-returns" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"purchaseInvoiceId": "00000000-0000-0000-0000-000000000000",
"businessDate": "2026-09-30",
"reason": "string",
"lines": [
{
"purchaseInvoiceItemId": "00000000-0000-0000-0000-000000000000",
"quantity": 0
}
]
}' Try itagainst staging · https://staging-api.panoptesos.com
Request body (JSON)
Set credentials in the “Authorize” menu
get
/api/v1/console/supplier-returns/{id} JWT API KeyGet id
Path parameters
| idrequired string (uuid) | — |
Query parameters
| Sort string | — |
| Dir string | — |
Responses
200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/supplier-returns/{id}" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Query parameters
Set credentials in the “Authorize” menu